using System;
using Quadarax.Foundation.Infrastructure;
using Quadarax.Foundation.Infrastructure.Layers;

namespace _Workbench.Layers.Modules
{
    public abstract class Module : IModule
    {
        private string _name;

        public Module(string name)
        {
            _name = name;
        }

        public string GetModuleName()
        {
            return _name;
        }

        public abstract LayerClassificationEnum Layer { get; }
    }
}
